Public Member Functions

# wxFontList Class Reference
[Graphics Device Interface (GDI)]

`#include <wx/font.h>`

## Detailed Description

A font list is a list containing all fonts which have been created.

There is only one instance of this class: wxTheFontList.

Use this object to search for a previously created font of the desired type and create it if not already found.

In some windowing systems, the font may be a scarce resource, so it is best to reuse old resources if possible. When an application finishes, all fonts will be deleted and their resources freed, eliminating the possibility of 'memory leaks'.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also:
  wxFont

## Public Member Functions
| wxFontList ()
| Constructor.
wxFont * | FindOrCreateFont (int point_size, wxFontFamily family, wxFontStyle style, wxFontWeight weight, bool underline=false, const wxString &facename=wxEmptyString, wxFontEncoding encoding=wxFONTENCODING_DEFAULT)
| Finds a font of the given specification, or creates one and adds it to the list.

List of all members.

## Constructor & Destructor Documentation

wxFontList::wxFontList | ( |  | ) |

Constructor.

The application should not construct its own font list: use the object pointer wxTheFontList.

## Member Function Documentation

wxFont* wxFontList::FindOrCreateFont | ( | int | point_size,
|  | wxFontFamily | family,
|  | wxFontStyle | style,
|  | wxFontWeight | weight,
|  | bool | underline = `false`,
|  | const wxString & | facename = `wxEmptyString`,
|  | wxFontEncoding | encoding = `wxFONTENCODING_DEFAULT` |
| ) |  |  |

Finds a font of the given specification, or creates one and adds it to the list.

See the wxFont constructor for details of the arguments.

|  | [ top ]